﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace examen1
{
        /// <summary>
        /// Clase Persona 
        /// </summary>
        class Persona : IComparable<Persona>
        {

            private String nombre, apellido1, apellido2;
            private int edad;

            public int CompareTo(Persona y)
            {
                return this.edad - y.edad;
            }
            public String Nombre
            {
                get { return nombre; }
            }
            public String Apellido1
            {
                get { return apellido1; }
            }
            public String Apellido2
            {
                get { return apellido2; }
            }

            private string nif;
            public string Nif
            {
                get { return nif; }
            }

            public int Edad 
            {
                get { return edad; }
            }

            public override String ToString()
            {
                return String.Format("{0} {1} {2} con NIF {3} y {4} años", nombre, apellido1, apellido2, nif, edad);
            }

        
            public Persona(String nombre, String apellido1, String apellido2, string nif, int edad)
            {
                this.nombre = nombre;
                this.apellido1 = apellido1;
                this.apellido2 = apellido2;
                this.nif = nif;
                this.edad = edad;
            }
        }
    }

